
LABINVENT (InventIrap) - Evolution #5100
Actions # 4970 (Nouveau): ******* FEATURE - GENERAL *******
GENERAL - BD migrations pour rester synchro entre labos
06/09/2017 11:30 am - Etienne Pallier

Status: En cours Start date: 06/02/2017
Priority: Normal Due date:
Assignee: % Done: 30%
Category: GENERAL Estimated time: 0.00 hour
Target version: version 2.9.x à 2.12.x (2018) - Divers Spent time: 0.00 hour
Description

Arreter d'utiliser les db-update et utiliser plutot le plugin Migrations (qui génère des scripts php de migration qui peuvent aussi être
versionnés)

https://book.cakephp.org/3.0/fr/migrations.html

Related issues:
Copied from Anomalie # 5088: GENERAL - BD et Model differences : refaire une ... Nouveau 06/02/2017

History
#1 - 06/09/2017 11:31 am - Etienne Pallier
- Tracker changed from Anomalie to Evolution

#2 - 07/24/2018 03:32 pm - Anonymous
- Status changed from Nouveau to En cours
- % Done changed from 0 to 30

La migration fonctionne, mais on récupère une bdd vide, il faut utiliser le seeding pour la remplir, si j'ai le temps j'essairais de finir cela

#3 - 07/24/2018 04:41 pm - Anonymous
- Category set to GENERAL

#4 - 12/23/2018 05:00 pm - Etienne Pallier
- Target version changed from version 2.7.x to version 2.9.x à 2.12.x (2018) - Divers
